org.apache.ivy.osgi.p2

## Class P2Artifact

- java.lang.Object
- - org.apache.ivy.osgi.p2.P2Artifact

    public class P2Artifact
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`P2Artifact(java.lang.String id, Version version, java.lang.String classifier)`

### Method Summary

Methods
`java.lang.String` `getClassifier()`
`java.lang.String` `getId()`
`Version` `getVersion()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### P2Artifact

    public P2Artifact(java.lang.String id,
              Version version,
              java.lang.String classifier)

### Method Detail

#### getClassifier

    public java.lang.String getClassifier()

#### getId

    public java.lang.String getId()

#### getVersion

    public Version getVersion()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`